package market.Qms.com.vo;

import java.io.Serializable;

import market.Qms.com.mapper.PscRDeliveryMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_PSC_R_DELIVERY", namespace=PscRDeliveryMapper.class)
public class PscRDelivery extends BaseVO implements Serializable {

	/** 产品规范码 */
	@Id
	private String psc;

	/** 产品规范描述 */
	@Column("PSC_DESC")
	private String pscDesc;

	/** 交货状态代码 */
	@Id("DELIVERY_STATE_CODE")
	private String deliveryStateCode;

	/** 交货状态描述 */
	@Column("DELIVERY_STATE_DESC")
	private String deliveryStateDesc;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;


	public String getPsc() {
		return this.psc;
	}

	public String getPscDesc() {
		return this.pscDesc;
	}

	public String getDeliveryStateCode() {
		return this.deliveryStateCode;
	}

	public String getDeliveryStateDesc() {
		return this.deliveryStateDesc;
	}

	public String getValidflag() {
		return this.validflag;
	}


	public void setPsc(String psc) {
		this.psc = psc;
	}

	public void setPscDesc(String pscDesc) {
		this.pscDesc = pscDesc;
	}

	public void setDeliveryStateCode(String deliveryStateCode) {
		this.deliveryStateCode = deliveryStateCode;
	}

	public void setDeliveryStateDesc(String deliveryStateDesc) {
		this.deliveryStateDesc = deliveryStateDesc;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

}
